Subject: bug#799: No system sounds in xterm

From: Friedhelm Mehnert <[email-masked]>
Date: Mon, 16 Oct 2023 09:57:48 +0200

Hi Ralph,

you got it all right.

I even cloned the repo, commented that patch out in
debian/patches/series and used cowbuilder to rebuild the packages. It's
clearly that patch.

I have no idea about the code chain, which leads to the audio,
so no chance for me to find the problem.

I can trigger the bell in various ways. Pressing ^G , pressing left
or right arrow while at the prompt, even cat a file with has ^G in it.
No beep.

Doing something like "xterm -vb &" from the xterm gives another xterm
which uses "visual bell". So the xterm "sees" the bell, but it does not
get to the audio.

B.T.W. if you have more questions, I hang out on #devuan and #devuan-dev
most of the time.

Best Regards
Friedhelm